Want more timely Centmin Mod News Updates?
Become a Member

almalinux 8 rockylinux 8 - fresh install failed to run centmin.sh

Discussion in 'AlmaLinux 8 & Rocky Linux 8 Beta Testing' started by patrikpodo, May 18, 2024.

  1. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    The following test environment information is needed relevant to your EL8 server installation. Please provide the info in BBCODE CODE/CODEB tags for better formatting.

    1. SSDnodes 32GB
    2. Centmin Mod installed version info

    cminfo versions

    3. CMinfo

    lscpu

    free -mlt


    df -hT

    4. When creating a new thread, where possible please also create a relevant tag to make referencing easier i.e. almalinux, rockylinux, almalinux 8, rockylinux 8, nginx, PHP, mariadb, yum, firewall, csf, redis
     

    Attached Files:

  2. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
  3. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
  4. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    So now I ordered 2GB Ram 70GB space Digitalocean.

    Almalinux 8

    Log File .
     
  5. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    Not enough memory

    Code (Text):
    Out of memory allocating 234881024 bytes!
    ./installer-el8x.sh: line 1495:  3402 Aborted                 (core dumped) yum -y install libc-client uw-imap-devel
    Out of memory allocating 234881024 bytes!
    ./installer-el8x.sh: line 1933:  3409 Aborted
    

    also seems ran into Almalinux GPG key failed checks as Almalinux changed their GPG keys and a yum update prior would of probably fixed that. Did you do run update before running Centmin Mod installer

    from https://community.centminmod.com/th...-mod-on-almalinux-8-rocky-linux-8-oses.23261/ example install command
    Code (Text):
    yum -y update
    yum -y install epel-release
    yum -y install screen
    screen -S cminstall -h 2000000
    curl -4sL https://centminmod.com/installer-el8x-81.sh -o installer-el8x-81.sh; bash installer-el8x-81.sh
    

    and min memory is 2GB with 4GB swap disk but recommended is 4GB memory and 4GB swap disk

    I need to move memory checks earlier into the installer itself rather than Centmin Mod checks so you get low memory error messages earlier.
     
  6. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    FYI, just updated 130.00beta01 installers to check low memory and low swap sizes earlier in initial install routines to catch EL8/EL9 OS higher memory and swap disk requirements.
     
  7. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    So I ordered 4GB ram Digitalocean. Rockylinux8, everything installed and I got this again /same happen to SSDnodes/:

    Install files
     

    Attached Files:

  8. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    strange never seen that before inc/php_patch.inc line 671 as it's only for PHP patching and backport fix routines that run on centmin.sh menu option 5 runs. But i do see where in the centmin.sh code this could be incorrectly triggered. Will update 130.00beta01 with fix in next 2hrs. You don't need to re-install 130.00beta01 as fix will be available just by running cmupdate command to pull the fixes in centmin.sh code.
     
  9. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    update. I just tried cmupdate, there were some changes implemented, but no success on running sh centmin.sh .
     

    Attached Files:

  10. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    Instead of screenshots you can copy and paste the output error and wrap in CODE or CODEB bbcode tags. Also helps folks search the forums for such errors in future

    Instead of running
    Code (Text):
    sh centmin.sh
    

    does it happen if you run either of these as it's a bash shell script
    Code (Text):
    bash centmin.sh
    

    Code (Text):
    ./centmin.sh
    

    Or type alias command
    Code (Text):
    centmin


    Differences using sh or bash to run bash shell script

    • sh (Shell command language): This often points to a POSIX-compliant shell, the original shell that UNIX was built on. On many systems like Ubuntu, sh is linked to dash (Debian Almquist Shell), which is designed to be POSIX-compliant and very fast, but lacks some features compared to bash.
    • bash (Bourne Again SHell): This is an enhanced version of the original shell, with additional features like arrays, advanced scripting, and improved command line editing options. It is not strictly POSIX-compliant due to the additional features it supports.
    • Scripts written for sh are designed to be portable across different UNIX-like systems, ensuring compatibility and predictability.
    • Scripts that utilize bash-specific features (like arrays, certain types of parameter expansions, functions, and associative arrays) won’t work correctly if run with sh.
    I only ever use bash not sh for scripts as Centmin Mod scripts are all bash shell scripts that use arrays and functions etc

    You can read official site on how to run Centmin Mod menu Centmin Mod Menu - CentminMod.com LEMP Nginx web stack for CentOS

    Strangely though I am not having any of the errors when i try
    Code (Text):
    sh centmin.sh

    On Almalinux 9 with sh version 5.1.8
    Code (Text):
    sh --version
    GNU bash, version 5.1.8(1)-release (x86_64-redhat-linux-gnu)
    

    interesting though i get the error with Almalinux 8's sh
    Code (Text):
    sh centmin.sh
    /usr/local/src/centminmod/inc/php_patch.inc: line 671: syntax error near unexpected token `<'
    /usr/local/src/centminmod/inc/php_patch.inc: line 671: `              done < <(grep -oP '(?<=\+\+\+ )[^\s]+' php7033-${bugid}.patch)'
    
    could be due to Almalinux 8's sh version 4.4.20 not supporting some of the bash shell script code
    Code (Text):
    sh --version
    GNU bash, version 4.4.20(1)-release (x86_64-redhat-linux-gnu)
    


    Either way you should run centmin.sh via bash command or alias centmin as official site suggests. But will see about fixing older sh support
     
  11. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    Nice.
    "./centmin.sh" solved that issue.

    Thanks a lot!
     
  12. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    I am not sure if I can open thread here, but I ordered different hosting and my install failed pretty quickly log HERE

    Thanks for any kinda leads.
     

    Attached Files:

  13. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    You seem to have bad luck with servers! The errors are all related to YUM and network connectivity not working on your server. Who's the web host?

    Code (Text):
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for librepo-1.14.2-5.el8.x86_64.rpm is not installed. Failing package is: librepo-1.14.2-5.el8.x86_64
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for python3-dnf-4.7.0-20.el8.alma.noarch.rpm is not installed. Failing package is: python3-dnf-4.7.0-20.el8.alma.noarch
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for python3-dnf-plugins-core-4.0.21-25.el8.noarch.rpm is not installed. Failing package is: python3-dnf-plugins-core-4.0.21-25.el8.noarch
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for python3-hawkey-0.63.0-19.el8.alma.2.x86_64.rpm is not installed. Failing package is: python3-hawkey-0.63.0-19.el8.alma.2.x86_64
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for python3-libdnf-0.63.0-19.el8.alma.2.x86_64.rpm is not installed. Failing package is: python3-libdnf-0.63.0-19.el8.alma.2.x86_64
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for python3-librepo-1.14.2-5.el8.x86_64.rpm is not installed. Failing package is: python3-librepo-1.14.2-5.el8.x86_64
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Public key for yum-4.7.0-20.el8.alma.noarch.rpm is not installed. Failing package is: yum-4.7.0-20.el8.alma.noarch
     GPG Keys are configured as: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-AlmaLinux
    Error: GPG check FAILED
    ./installer-el8x.sh: line 737: yum-config-manager: command not found
    


    if YUM isn't working, then you won't be able to install anything.
     
  14. patrikpodo

    patrikpodo Member

    32
    3
    8
    Aug 27, 2014
    Prague
    Ratings:
    +7
    Local Time:
    11:48 PM
    Inception hosting.

    They recently /because of centos "drama"/ closed down on old servers, and this their "new" 4GB ram "offer". I was with them for more than 5 years , and never had any issues. Altough "low end" is the right characteristic....
     
  15. eva2000

    eva2000 Administrator Staff Member

    52,262
    12,005
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,508
    Local Time:
    7:48 AM
    Nginx 1.25.x
    MariaDB 10.x
    Could of been temp network issues, try reloading AlmaLinux OS and fresh Centmin Mod install